- The API supports full text search on string fields, range queries on date, numeric or string fields, along with geo-spatial search.
- Required roles: ''users.datalake.viewers'' or ''users.datalake.editors'' or ''users.datalake.admins''. In addition, users must be a member of data groups to access the data.'
Security
bearer
Example:"slb-osdu-prod-des-prod-testing:welldb:wellbore:1.0.0"
One of:
Specify a single kind, e.g., "slb-osdu-prod-des-prod-testing:welldb:wellbore:1.0.0"
string
The maximum number of results to return from the given offset. If no limit is provided, then it will return 10 items. Max number of items which can be fetched by the query is 1000. (If you wish to fetch large set of items, please use query_with_cursor API)
Example:30
sortobject(SortQuery)
Example:
{ "field": [ "createTime" ], "order": [ "DESC" ] }
The queryAsOwner switches between viewer and owner to return results that you are entitled to view or results you are the owner of.
Example:false
spatialFilterobject(SpatialFilter)
Example:
{ "field": "data.SpatialLocation.Wgs84Coordinates", "byBoundingBox": { "topLeft": { … }, "bottomRight": { … } } }
- SLB Saas OSDU (SGP)https://as5.api.enterprisedata.slb.com/api/search-extensions/v1alpha/query
- SLB SaaS OSDU (BRS)https://br5.api.enterprisedata.slb.com/api/search-extensions/v1alpha/query
- SLB Saas OSDU (WEU)https://eu5.api.enterprisedata.slb.com/api/search-extensions/v1alpha/query
- SLB SaaS OSDU (EUT)https://eu6.api.enterprisedata.slb.com/api/search-extensions/v1alpha/query
- SLB Saas OSDU (MDE)https://eu7.api.enterprisedata.slb.com/api/search-extensions/v1alpha/query
- SLB Saas OSDU (PSC)https://us5.api.enterprisedata.slb.com/api/search-extensions/v1alpha/query
- SLB Saas OSDU (USC)https://us7.api.enterprisedata.slb.com/api/search-extensions/v1alpha/query
- SLB Saas OSDU (WUS)https://us8.api.enterprisedata.slb.com/api/search-extensions/v1alpha/query
- SLB Saas OSDU (SAS)https://as6.api.enterprisedata.slb.com/api/search-extensions/v1alpha/query
- SLB Saas OSDU (SWC)https://eu8.api.enterprisedata.slb.com/api/search-extensions/v1alpha/query
- SLB Saas OSDU (MYW)https://as7.api.enterprisedata.slb.com/api/search-extensions/v1alpha/query
- SLB Saas OSDU (ZAN)https://za1.api.enterprisedata.slb.com/api/search-extensions/v1alpha/query
- Mock serverhttps://developer.slb.com/_mock/solutions/core-service/apis/osdu-search-extensions-service/query
curl -i -X POST \
https://as5.api.enterprisedata.slb.com/api/search-extensions/v1alpha/query \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'data-partition-id: string' \
-d '{
"kind": "slb-osdu-prod-des-prod-testing:welldb:wellbore:1.0.0",
"limit": 30,
"query": "data.Basin:\"Ft. Worth\"",
"returnedFields": [
"data.kind"
],
"queryAsOwner": false,
"offset": 0
}'Success
Response
{ "results": [ {} ], "aggregations": [ { … } ], "totalCount": 0 }